package cn.com.poc.knowledge.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for KnowledgeDocumentRelationQuery
 */
@Entity
public class KnowledgeDocumentRelationQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * kd_id
     * kd_id
     */
    private Integer kdId;

    @Column(name = "kd_id")
    public Integer getKdId() {
        return this.kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }

    /**
     * knowledge_id
     */
    private String knowledgeId;

    @Column(name = "knowledge_id")
    public String getKnowledgeId() {
        return knowledgeId;
    }

    public void setKnowledgeId(String knowledgeId) {
        this.knowledgeId = knowledgeId;
    }

    /**
     * knowledge_name
     * knowledge_name
     */
    private String knowledgeName;

    @Column(name = "knowledge_name")
    public String getKnowledgeName() {
        return this.knowledgeName;
    }

    public void setKnowledgeName(String knowledgeName) {
        this.knowledgeName = knowledgeName;
    }

    /**
     * document_name
     * document_name
     */
    private String documentName;

    @Column(name = "document_name")
    public String getDocumentName() {
        return this.documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

} 